Bug 728551 - add /sys/kernel/realtime entry
Summary: add /sys/kernel/realtime entry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: 1.1
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: 2.0.8
: ---
Assignee: Luis Claudio R. Goncalves
QA Contact: Jiri Kastner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 14:22 UTC by Luis Claudio R. Goncalves
Modified: 2011-09-12 19:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the old method used to assert if the running kernel is realtime enabled or not depended on parsing the output of 'uname -v'. Consequence: That process, when repeated multiple times could become costly and a source of latencies. Fix: add a file, created only when the kernel is reatime enabled, in /sys, that is an in-memory filesystem and is cheaper to read. Result: It is ten times faster to verify if the kernel has RT capabilities or not.
Clone Of:
Environment:
Last Closed: 2011-09-12 19:48:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1253 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-09-12 19:43:48 UTC

Description Luis Claudio R. Goncalves 2011-08-05 14:22:23 UTC
Add a /sys/kernel entry to indicate that the kernel is a realtime kernel.

This makes it easier (and faster and cheaper) to determine if you're
running on an RT kernel than parsing the output of uname -v.

We found this when we had a udev rule for detecting IRQ registration
that looked at the output of uname -v, looking for the ' RT ' string.
This rule prevented a 32-core box from booting (or delayed it past the
point we were willing to wait) because it was invoking the rule
repeatedly for each core being brought up.

Comment 1 Luis Claudio R. Goncalves 2011-08-05 14:38:54 UTC
The following commit has been queued for the Errata:

    2e76e55 add /sys/kernel/realtime entry

Comment 5 Luis Claudio R. Goncalves 2011-08-29 16:24:02 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: the old method used to assert if the running kernel is realtime enabled or not depended on parsing the output of 'uname -v'.
Consequence: That process, when repeated multiple times could become costly and a source of latencies.
Fix: add a file, created only when the kernel is reatime enabled, in /sys, that is an in-memory filesystem and is cheaper to read.
Result: It is ten times faster to verify if the kernel has RT capabilities or not.

Comment 6 errata-xmlrpc 2011-09-12 19:48:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1253.html


Note You need to log in before you can comment on or make changes to this bug.